Subject: Re: bug#28506: coreutils 8.28 test suite hangs on APFS filesystem

From: Jack Howarth <[email-masked]>
Date: Sun, 24 Sep 2017 13:16:13 -0400

On Sat, Sep 23, 2017 at 10:47 PM, Pádraig Brady <[email-masked]> wrote:

> On 22/09/17 20:07, Pádraig Brady wrote:
> > Is is a wait or a cpu spin?
> > Could you use the equivalent of strace on your platform to see what's
> happening?
>
> Offlist Jack sent a profile showing /usr/bin/FILE was waiting on input.
> That was the result of a silly typo in the script, which the attached
> should fix.  I don't know what that command does, nor why it's specifically
> a problem on APFS, but hopefully this fixes things.
>
> cheers,
> Pádraig.
>
>
Pádraig.
    Thanks. I can confirm that eliminates testsuite hang seen on 10.13 with
APFS volumes. FYI, the stock APFS is still case-insensitive on darwin17.
        Jack
ps The only failure seen in the test suite is...

FAIL: tests/touch/trailing-slash.sh